Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.runtime
Class StringValueHandler

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.runtime.TransletOutputBase
            |
            +--org.apache.xalan.xsltc.runtime.StringValueHandler

public final class StringValueHandler
extends TransletOutputBase

Constructor Summary
`StringValueHandler()`

Method Summary
`void` | `characters(char[] ch, int off, int len)`
`void` | `characters(java.lang.String characters)`
`java.lang.String` | `getValue()`
`java.lang.String` | `getValueOfPI()` The value of a PI must not contain the substring "?>".

Methods inherited from class org.apache.xalan.xsltc.runtime.TransletOutputBase
`attribute, close, comment, endCDATA, endDocument, endElement, expandQName, namespace, omitHeader, processingInstruction, setCdataElements, setDoctype, setEscaping, setIndent, setMediaType, setStandalone, setType, setVersion, startCDATA, startDocument, startElement`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringValueHandler

    public StringValueHandler()

Method Detail

### characters

    public void characters(char[] ch,
                           int off,
                           int len)
                    throws TransletException

  Overrides:
    characters in class TransletOutputBase

### getValue

    public java.lang.String getValue()

### characters

    public void characters(java.lang.String characters)
                    throws TransletException

  Overrides:
    characters in class TransletOutputBase

### getValueOfPI

    public java.lang.String getValueOfPI()

  The value of a PI must not contain the substring "?>". Should that substring be present, replace it by "? >".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.